Bug 24405 - Links in facets are styled differently than other links on the results page in OPAC
Summary: Links in facets are styled differently than other links on the results page i...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-12 09:44 UTC by Katrin Fischer
Modified: 2020-11-30 21:51 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01


Attachments
Bug 24405: Make OPAC link underlining consistent (1.42 KB, patch)
2020-05-08 13:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24405: Make OPAC link underlining consistent (1.48 KB, patch)
2020-05-09 20:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24405: Make OPAC link underlining consistent (1.54 KB, patch)
2020-06-11 14:25 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-01-12 09:44:17 UTC
A small thing I've been wondering about:
The links in the facets are shown underlined, but other links, like the links on each search result (title, place holds etc.) or navigation bar are not.

Why are some links underlined and others not?

There is a specific style causing this:

#search-facets a {
    font-weight: 400;
    text-decoration: underline;
}
Comment 1 Owen Leonard 2020-05-08 13:49:26 UTC
Created attachment 104598 [details] [review]
Bug 24405: Make OPAC link underlining consistent

This patch makes a minor modification to the OPAC CSS so that links are
consistently displayed without underlines in their inactive state. This
corrects two cases: Links in the facets sidebar and "Check all/none"
links shown on search results.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- In the OPAC, perform a search.
- In the search results facets sidebar, confirm that links are not underlined.
- At the top of the search results table, confirm that the "Select all"
  and "Clear all" links are not underlined.
Comment 2 Katrin Fischer 2020-05-09 20:20:44 UTC
Created attachment 104628 [details] [review]
Bug 24405: Make OPAC link underlining consistent

This patch makes a minor modification to the OPAC CSS so that links are
consistently displayed without underlines in their inactive state. This
corrects two cases: Links in the facets sidebar and "Check all/none"
links shown on search results.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- In the OPAC, perform a search.
- In the search results facets sidebar, confirm that links are not underlined.
- At the top of the search results table, confirm that the "Select all"
  and "Clear all" links are not underlined.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2020-06-11 14:25:14 UTC
Created attachment 105759 [details] [review]
Bug 24405: Make OPAC link underlining consistent

This patch makes a minor modification to the OPAC CSS so that links are
consistently displayed without underlines in their inactive state. This
corrects two cases: Links in the facets sidebar and "Check all/none"
links shown on search results.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- In the OPAC, perform a search.
- In the search results facets sidebar, confirm that links are not underlined.
- At the top of the search results table, confirm that the "Select all"
  and "Clear all" links are not underlined.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-06-11 14:25:42 UTC
Trivial patch, works as expected, no obvious side effects.

Passing QA
Comment 5 Jonathan Druart 2020-06-15 09:59:24 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-06-17 23:41:49 UTC
backported to 20.05.x for 20.05.01
Comment 7 Aleisha Amohia 2020-06-22 04:40:37 UTC
enhancement, not backported to 19.11.x